Bug 850364 - Introduce new systemd-rpm macros in watchdog spec file
Introduce new systemd-rpm macros in watchdog spec file
Status: NEW
Product: Fedora
Classification: Fedora
Component: watchdog (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Richard W.M. Jones
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 850016
  Show dependency treegraph
 
Reported: 2012-08-21 10:16 EDT by Lukáš Nykrýn
Modified: 2016-11-24 07:33 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch replaces scriptlets with new systemd macros (1.80 KB, patch)
2012-12-12 10:44 EST, Lukáš Nykrýn
no flags Details | Diff

  None (edit)
Description Lukáš Nykrýn 2012-08-21 10:16:42 EDT
Fedora 18 changes the way how to work with services in spec files. It introduces new macros - %systemd_post, %systemd_preun and %systemd_postun; which replace scriptlets from Fedora 17 and older (see https://fedoraproject.org/wiki/Packaging:ScriptletSnippets#Systemd, https://bugzilla.redhat.com/show_bug.cgi?id=850016).
Comment 1 Lukáš Nykrýn 2012-12-12 10:44:15 EST
Created attachment 662420 [details]
Patch replaces scriptlets with new systemd macros
Comment 2 Fedora End Of Life 2013-12-21 03:47:43 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 3 Jan Kurik 2015-07-15 11:00:53 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 23 development cycle.
Changing version to '23'.

(As we did not run this process for some time, it could affect also pre-Fedora 23 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 23 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora23
Comment 4 Fedora End Of Life 2016-11-24 05:46:43 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Richard W.M. Jones 2016-11-24 06:47:56 EST
I really think it would be better if the systemd maintainers
simply went and made the changes directly to the spec file
rather than involving every other package maintainer in a
hit and miss process of understanding what needs to be done.
But I digress ...

I tried to apply the patch, but it no longer applies.  Part of
the problem is that the watchdog now runs _two_ services.  It's
unclear to me if it's safe/correct to do (for example):

%preun
%systemd_preun watchdog.service
%systemd_preun watchdog-ping.service

Perhaps all the services should be listed on the same line,
or perhaps the macros don't consider this case at all.  Nothing
about this is mentioned in the guidelines.
Comment 6 Lukáš Nykrýn 2016-11-24 07:33:45 EST
You can put both of those unit files on the same line.

Note You need to log in before you can comment on or make changes to this bug.